
Foreman - Feature #5125

List available VMware images

04/09/2014 12:48 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources - VMware   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5214

  

Description

It should be possible to implement the available_images method for VMware compute resources and list the templates available on

the vSphere server, which appears as a dropdown menu in the New Image form.  At the moment I think this is hampered because

Fog doesn't return the path in the template models it returns, only the name, so we don't have a relative path to pass into the

vm_clone method.

Related issues:

Related to Foreman - Feature #2438: Ability to deploy hosts from vmware templ... Closed 04/29/2013

Associated revisions

Revision 263e4159 - 01/26/2018 10:35 AM - Timo Goebel

fixes #5125 - list available vmware images

History

#1 - 04/09/2014 12:48 PM - Dominic Cleal

- Related to Feature #2438: Ability to deploy hosts from vmware templates added

#2 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#3 - 01/25/2015 10:25 AM - Ohad Levy

- Assignee set to Tom Caspy

#4 - 01/26/2015 07:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2109 added

- Pull request deleted ()

#5 - 02/17/2016 10:35 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Tom Caspy)

- Pull request deleted (https://github.com/theforeman/foreman/pull/2109)

PR was closed.

#6 - 06/16/2016 03:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/3594 added
#7 - 04/13/2017 03:36 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Timo Goebel)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3594)

PR was closed.

#8 - 01/25/2018 02:47 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/5214 added

#9 - 01/26/2018 11:01 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 263e415985bb79e9b948a22b105589964ea3f9c8.

#10 - 01/26/2018 09:42 PM - Anonymous

- translation missing: en.field_release set to 330
